<?php 
function tpl_4ef0a6fb_main__WfT5mm8WRuMXUuIndP3mrA($tpl, $ctx) {
$_thistpl = $tpl ;
$_translator = $tpl->getTranslator() ;
?>
<ul class="top_nav">
		<li><a href="/"><?php echo phptal_escape($ctx->SITE) ?></a></li>
		<li><a href="<?php echo phptal_escape($ctx->URL_ADMIN) ?>"><?php echo phptal_escape($ctx->ADMIN_PAGE) ?></a></li>
		<li class="current">Меню</li>
</ul>

<div style="padding:10px;padding-top:0px;">
	
	<table class="data" width="100%" align="left" id="table">
	<tr>
		<td colspan="10" style="text-align:right"><b><a style="color:#F8A720;font-size:14px;" act="edit">Добавить меню</a></b></td>
	</tr>
	<tr class="header">
	  <td width="1%">№</td>
	  <td width="15%">Название меню</td>
	  <td width="10%">Переменная</td>
	  <td width="7%" colspan="3">Действия</td>
	  </tr>
	
	<tbody id="table_content">
		<?php 
$ctx->pushSlots() ;
$tpl->_executeMacroOfTemplate('inc/tmpl_row.html/tmpl_row', $_thistpl) ;
$ctx->popSlots() ;
?>

	</tbody>
	</table>
</div>



<script>/*<![CDATA[*/
	/*	клиентская часть, отвечает за аякс	*/

	t = new HL.controls.table("<?php echo strtr(phptal_tostring($ctx->URL_MENU_CONTROL_MENU) ,array(']]>'=>']]]]><![CDATA[>','</'=>'<\/')) ?>");
	/*
table = {
	'server' :"",
	'orderby_key' : false,
	'orderby_value'   : false,
	
}
table.lock = function(){
	wnd.set_title('');
	wnd.set_content('<?php echo strtr(phptal_tostring($ctx->WAIT) ,array(']]>'=>']]]]><![CDATA[>','</'=>'<\/')) ?>');
	wnd.show();
}
table.unlock = function(){
	wnd.close();
}

table.del = function(mid){
	
	r = new request(  table.server+'&act=ajax_delete' );
	r.onrequest = function(){ 
		table.lock();
	};
	r.onload = function(rst){ 
		table.reload();
		table.unlock();
	};
	r.error = function(e){
		alert(e);
	}
	r.send( {'id':mid} )
	
}
table.editor = function(){
	editor.create('p_content');
}

	//	форма редактирования
table.edit = function(fid){

	wnd.open(table.server+'&act=ajax_edit&id='+fid);	
}
	//	форма добавления
table.create = function(){
	table.edit(0)	;
}

	//	функция сохранения изменений формы
table.save = function(){

	r = new request(  table.server+'&act=ajax_save' );
	r.onrequest = function(){ 
	  o.msg.system('Идёт сохранение...'	)
		
	}
	r.onload = function(rst){
	  o.msg.system(rst.msg	)
		o.$('save_b').disabled = false;
		table.reload();
		wnd.close()
	}
	r.error = function(e){
		o.$('save_b').disabled = false;
		o.msg.error(e	)
	}
	r.form( o.$('form_page') );
	
}

	//	перезагружаем таблицу страниц согласно соортировке и фильтрам
table.reload = function(){
	
	r = new request(  table.server+'&act=ajax_reload' );
	r.onload = function(rst){ 
		o.$('table_content').innerHTML =rst.content;	
	};
	r.error = function(e){
		alert(e);
	}
	r.send({'orderby_key':table.orderby_key, 'orderby_value':table.orderby_value});	

}	*/
/*]]>*/</script><?php 
/* end */ ;

}

?><?php /* 
*** DO NOT EDIT THIS FILE ***

Generated by PHPTAL from /home/shasha/www/pr25_autocatalog/source/modules/menu/tmpl/control_menu/main.html (edit that file instead) */; ?>